# NAME

git-annex registerurl - registers an url for a key

# SYNOPSIS

git annex registerurl `[key url]`

# DESCRIPTION

This plumbing-level command can be used to register urls where a
key can be downloaded from.

No verification is performed of the url's contents.

Normally the key is a git-annex formatted key. However, to make it easier
to use this to add urls, if the key cannot be parsed as a key, and is a
valid url, an URL key is constructed from the url.

# OPTIONS

* `--batch`

  In batch input mode, lines are read from stdin, and each line
  should contain a key and url, separated by a single space.

  For backwards compatability with old git-annex before this option
  was added, when no key and url pair are specified on the command line,
  batch input is used, the same as if the --batch option were
  specified. It is however recommended to use --batch.

* `-z`

   When in batch mode, the input is delimited by nulls instead of the usual
   newlines.

   (Note that for this to be used, you have to explicitly enable batch mode
   with `--batch`)

* Also the [[git-annex-common-options]](1) can be used.

# SEE ALSO

[[git-annex]](1)

[[git-annex-addurl]](1)

[[git-annex-unregisterurl]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
